Recommended update for pacemaker

SUSE Recommended Update: Recommended update for pacemaker
Announcement ID: SUSE-RU-2019:0849-1
Rating: moderate
References: #1082883 #1094208 #1102915 #1107270 #1114840 #1121272 #1121808 #974108
Affected Products:
  • SUSE Linux Enterprise High Availability 15

An update that has 8 recommended fixes can now be installed.

Description:

This update for pacemaker provides the following fixes:

  • cts: Do not require nodes to be specified if only listing tests. (bsc#1114840)
  • cts: Temporarily disable any enabled cluster services when running remote tests.
  • cts: Count service as enabled only if it is explicitly enabled.
  • cts: Ignore monitor failures when testing remote node fencing.
  • cts: Lower remote connection failure detection time.
  • cts: Clear constraints on cluster nodes. (bsc#1121272)
  • cts: Resume any possibly frozen pacemaker_remoted when cleaning up the test. (bsc#1121272)
  • cts: Simulate failure of pacemaker_remoted by freezing it with SIGSTOP. (bsc#1121272)
  • cts-exec: Run the tests for the other resource classes even without python systemd bindings. (bsc#1121808)
  • cts-scheduler: Avoid unsupported usage of requires.
  • fenced: Handle fencing requested with nodeid by using the membership cache of known nodes. (bsc#1094208, bsc#1107270, bsc#974108)
  • controld: Make it possible to manually confirm unseen nodes are down. (bsc#1094208, bsc#1107270)
  • controld: Avoid memory leak when synthesizing failure.
  • spec: Install /etc/pacemaker directory for storing authkey file. (bsc#1082883)
  • tools: Improve error messages from crm_resource --move.
  • tools: Use output redirection correctly in crm_standby.
  • tools: Handle multiple values properly in crm_attribute.
  • tools: Fix a bash portability issue in crm_failcount.
  • tools: cibsecret --help/--version does not require cluster to be running. (bsc#1102915)
  • scheduler: Improve failed op message.
  • controller,scheduler: Guard hash table deletes.
  • controller: Do not abort after delay if the instance is no longer DC.
  • libcrmservice: Do not consider a canceled recurring operation as failed.
  • libcrmservice: Find absolute paths when used with "service:".
  • libcrmservice: Separate LSB-specific code into own source files.
  • execd: Avoid memory leak when testing remote key.
  • execd: Handle systemd actions correctly when used with "service:".
  • libcrmcommon,pacemakerd: Kernel task name is at most 15 characters.
  • io.c: restore -Werror buildability, put conversion specifier last.
  • libcrmcommon: Avoid memory leak on failed IPC send.
  • libcrmcommon: Improve connection loss message.
  • daemons: Improve connection loss messages.
  • pacemaker_remote: Correct documentation URL in systemd unit file.
  • libcrmcommon: Improve checking of file/directory writability.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 15:
    zypper in -t patch SUSE-SLE-Product-HA-15-2019-849=1

Package List:

  • SUSE Linux Enterprise High Availability 15 (aarch64 ppc64le s390x x86_64):
    • libpacemaker-devel-1.1.18+20180430.b12c320f5-3.3.1
    • libpacemaker3-1.1.18+20180430.b12c320f5-3.3.1
    • libpacemaker3-debuginfo-1.1.18+20180430.b12c320f5-3.3.1
    • pacemaker-1.1.18+20180430.b12c320f5-3.3.1
    • pacemaker-cli-1.1.18+20180430.b12c320f5-3.3.1
    • pacemaker-cli-debuginfo-1.1.18+20180430.b12c320f5-3.3.1
    • pacemaker-debuginfo-1.1.18+20180430.b12c320f5-3.3.1
    • pacemaker-debugsource-1.1.18+20180430.b12c320f5-3.3.1
    • pacemaker-remote-1.1.18+20180430.b12c320f5-3.3.1
    • pacemaker-remote-debuginfo-1.1.18+20180430.b12c320f5-3.3.1
  • SUSE Linux Enterprise High Availability 15 (noarch):
    • pacemaker-cts-1.1.18+20180430.b12c320f5-3.3.1

References: